Close card (step 1/2)
curl --request POST \
--url https://api.sendpadi.com/api/v1/merchant/virtual-cards/{id}/close \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--header 'X-Signature: <x-signature>' \
--header 'X-Timestamp: <x-timestamp>' \
--data '{}'const options = {
method: 'POST',
headers: {
'X-Timestamp': '<x-timestamp>',
'X-Signature': '<x-signature>',
'X-Api-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({})
};
fetch('https://api.sendpadi.com/api/v1/merchant/virtual-cards/{id}/close', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sendpadi.com/api/v1/merchant/virtual-cards/{id}/close"
payload = {}
headers = {
"X-Timestamp": "<x-timestamp>",
"X-Signature": "<x-signature>",
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"message": "OK",
"data": {
"intentId": "intent_close_vc",
"confirmationToken": "tok_secret_xyz",
"status": "pending_confirmation"
}
}Virtual cards
Close card (step 1/2)
Initiate card close; returns confirmationToken. Scope: virtual-cards:write.
POST
/
api
/
v1
/
merchant
/
virtual-cards
/
{id}
/
close
Close card (step 1/2)
curl --request POST \
--url https://api.sendpadi.com/api/v1/merchant/virtual-cards/{id}/close \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--header 'X-Signature: <x-signature>' \
--header 'X-Timestamp: <x-timestamp>' \
--data '{}'const options = {
method: 'POST',
headers: {
'X-Timestamp': '<x-timestamp>',
'X-Signature': '<x-signature>',
'X-Api-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({})
};
fetch('https://api.sendpadi.com/api/v1/merchant/virtual-cards/{id}/close', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sendpadi.com/api/v1/merchant/virtual-cards/{id}/close"
payload = {}
headers = {
"X-Timestamp": "<x-timestamp>",
"X-Signature": "<x-signature>",
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"message": "OK",
"data": {
"intentId": "intent_close_vc",
"confirmationToken": "tok_secret_xyz",
"status": "pending_confirmation"
}
}Authorizations
API key id (sp_test_… / sp_live_…)
Headers
Unix time in seconds
HMAC-SHA256 signature
Path Parameters
id path parameter
Body
application/json
The body is of type object.
Response
200 - application/json
OK
The response is of type object.

